Bug 543257 - RFE: Backport patch to hide password echo
Summary: RFE: Backport patch to hide password echo
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bti
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-02 01:31 UTC by Ben Boeckel
Modified: 2010-06-08 21:41 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-05-27 18:31:21 UTC


Attachments (Terms of Use)

Description Ben Boeckel 2009-12-02 01:31:21 UTC
Description of problem:
bti echos the password to the terminal when entering it. This patch disables this so that over-the-shoulder does not happen.

Comment 1 Ben Boeckel 2009-12-02 04:07:13 UTC
In fact, there's a new version that just got tagged with this patch in it.
http://github.com/gregkh/bti/tree/024

Comment 2 Ben Boeckel 2010-02-06 21:36:20 UTC
Ping?

Comment 3 Fedora Update System 2010-05-20 21:00:34 UTC
bti-026-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/bti-026-1.fc12

Comment 4 Fedora Update System 2010-05-20 21:00:45 UTC
bti-026-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/bti-026-1.el5

Comment 5 Fedora Update System 2010-05-20 21:00:59 UTC
bti-026-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/bti-026-1.fc13

Comment 6 Fedora Update System 2010-05-21 00:30:31 UTC
bti-026-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bti'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/bti-026-1.el5

Comment 7 Fedora Update System 2010-05-22 01:46:49 UTC
bti-026-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bti'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/bti-026-1.fc12

Comment 8 Fedora Update System 2010-05-22 01:49:07 UTC
bti-026-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bti'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/bti-026-1.fc13

Comment 9 Fedora Update System 2010-05-27 18:31:09 UTC
bti-026-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-05-27 18:34:31 UTC
bti-026-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-06-08 21:40:51 UTC
bti-026-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.